How to request parking facility details
This example shows how to request available details for one parking facility.
Scenario
Retrieve details for the facility with ID 276u33db-e63737ae997c4a1ab5a19c50a63af49e.
Request summary
- Resource:
facilities/{id}, with ID276u33db-e63737ae997c4a1ab5a19c50a63af49e - Response format: Add
.jsonor.xmlto the resource path.
Request example
The following request uses the JSON response format:
curl GET
https://parking-v2.cc.api.here.com/parking/facilities/276u33db-e63737ae997c4a1ab5a19c50a63af49e.json
-H "Authorization: Bearer {YOUR_TOKEN}"
Use the same facility ID to request an XML response:
curl GET
https://parking-v2.cc.api.here.com/parking/facilities/276u33db-e63737ae997c4a1ab5a19c50a63af49e.xml
-H "Authorization: Bearer {YOUR_TOKEN}"
Response example
The response contains:
- status information about the success of the request, together with a timestamp
- one parking facility with location and address data, facility details, availability, and pricing. See ParkingFacilityType for the facility fields.
The payloads below are archived examples with timestamps from 2016. They illustrate the response structure and do not represent current facility data.
Example response in JSON format:
{
"hasMore":false,
"facilities":{
"facility":[
{
"open24x7":true,
"facilityDetails":{
"openingHours":{
"openNow": true,
"regularOpeningHours":[
{
"daymask":127,
"period":[
{
"from":"00:00:00",
"to":"24:00:00"
}
]
}
],
"annualOpenings":[
]
},
"paymentMethods":[
{
"name":"Cash - USD EUR GBP",
"id":"CASH"
},
{
"name":"Check - MONEY ORDER PERSONAL TRAVELERS OTHER",
"id":"CHECK"
},
{
"name":"AMEX",
"id":"AMEX"
},
{
"name":"MASTERCARD",
"id":"MASTERCARD"
},
{
"name":"VISA",
"id":"VISA"
},
{
"name":"CARTEBLANCHE",
"id":"CARTEBLANCHE"
},
{
"name":"DINERSCLUB",
"id":"DINERSCLUB"
},
{
"name":"DISCOVER",
"id":"DISCOVER"
},
{
"name":"Debit card",
"id":"DEBITCARD"
},
{
"name":"PAYPAL",
"id":"PAYPAL"
},
{
"name":"Other - CASHBACK LOAN WIRETRANSFERS",
"id":"OTHER"
}
],
"driveMaxHeight":1.8,
"facilityType":{
"name":"Parking Facility",
"id":"1"
},
"facilityOperator":"APCOA GmbH",
"facilityLevels":2,
"facilityInfrastructures":{
"name":[
"handicappedparkingspaces",
"securitymanned",
"elevators",
"light"
]
},
"facilityAdministration":{
"name":[
"Monitored",
"Gate"
]
},
"facilityRestrictions":{
}
},
"facilityAvailability":{
"spacesTotal":173,
"available":true,
"pricing":{
"price":[
{
"priceGroup":0,
"amount":2.0,
"currency":"EUR",
"unit":30,
"daymask":127,
"minMinutes":0,
"maxMinutes":30,
"textRepresentation": [
{
"text": [
"First 30 minutes",
"Per 30 minutes",
"Every day"
],
"language": "en-US"
}
]
},
{
"priceGroup":1,
"amount":4.0,
"currency":"EUR",
"unit":60,
"daymask":127,
"minMinutes":31,
"maxMinutes":60,
"textRepresentation": [
{
"text": [
"Over 31 minutes",
"Max 1 hour",
"Per hour",
"Every day"
],
"language": "en-US"
}
]
},
{
"priceGroup":2,
"amount":38.0,
"currency":"EUR",
"unit":1440,
"daymask":127,
"minMinutes":61,
"maxMinutes":1440,
"textRepresentation": [
{
"text": [
"Over 1 hour and 1 minute",
"Max 24 hours",
"Per day",
"Every day"
],
"language": "en-US"
}
]
}
]
},
"lastUpdateTimestamp":"2016-06-06T06:21:45.000Z"
},
"address":{
"city":"Berlin",
"country":"DEU",
"region":"Berlin",
"street":"Unter den Linden",
"streetNumber":"77",
"postalCode":"10117"
},
"contacts":{
"phone":[
{
"value":"+4971130570305",
"label":"PHONE"
}
]
},
"position":{
"latitude":52.51631,
"longitude":13.37999
},
"name":"Hotel Adlon",
"id":"276u33db-e63737ae997c4a1ab5a19c50a63af49e",
"lastUpdateTimestamp":"2016-05-31T01:04:46.015Z",
"timeZone":"Europe/Berlin"
}
]
}
}
Example response in XML format:
<parking-offstreet:parkingFacilitiesResult>
<hasMore>false</hasMore>
<facilities>
<facility id="276u33db-e63737ae997c4a1ab5a19c50a63af49e" lastUpdateTimestamp="2016-05-31T01:04:46.015Z" timeZone="Europe/Berlin">
<address>
<city>Berlin</city>
<country>DEU</country>
<region>Berlin</region>
<street>Unter den Linden</street>
<streetNumber>77</streetNumber>
<postalCode>10117</postalCode>
</address>
<contacts>
<phone>
<value>+4971130570305</value>
<label>PHONE</label>
</phone>
</contacts>
<position>
<latitude>52.51631</latitude>
<longitude>13.37999</longitude>
</position>
<name>Hotel Adlon</name>
<open24x7>true</open24x7>
<facilityDetails>
<openingHours>
<openNow>true</openNow>
<regularOpeningHours>
<daymask>127</daymask>
<period>
<from>00:00:00</from>
<to>24:00:00</to>
</period>
</regularOpeningHours>
</openingHours>
<paymentMethods>
<name>Cash - USD EUR GBP</name>
<id>CASH</id>
</paymentMethods>
<paymentMethods>
<name>Check - MONEY ORDER PERSONAL TRAVELERS OTHER</name>
<id>CHECK</id>
</paymentMethods>
<paymentMethods>
<name>AMEX</name>
<id>AMEX</id>
</paymentMethods>
<paymentMethods>
<name>MASTERCARD</name>
<id>MASTERCARD</id>
</paymentMethods>
<paymentMethods>
<name>VISA</name>
<id>VISA</id>
</paymentMethods>
<paymentMethods>
<name>CARTEBLANCHE</name>
<id>CARTEBLANCHE</id>
</paymentMethods>
<paymentMethods>
<name>DINERSCLUB</name>
<id>DINERSCLUB</id>
</paymentMethods>
<paymentMethods>
<name>DISCOVER</name>
<id>DISCOVER</id>
</paymentMethods>
<paymentMethods>
<name>Debit card</name>
<id>DEBITCARD</id>
</paymentMethods>
<paymentMethods>
<name>PAYPAL</name>
<id>PAYPAL</id>
</paymentMethods>
<paymentMethods>
<name>Other - CASHBACK LOAN WIRETRANSFERS</name>
<id>OTHER</id>
</paymentMethods>
<driveMaxHeight>1.8</driveMaxHeight>
<facilityType>
<name>Parking Facility</name>
<id>1</id>
</facilityType>
<facilityOperator>APCOA GmbH</facilityOperator>
<facilityLevels>2</facilityLevels>
<facilityInfrastructures>
<name>handicappedparkingspaces</name>
<name>securitymanned</name>
<name>elevators</name>
<name>light</name>
</facilityInfrastructures>
<facilityAdministration>
<name>Monitored</name>
<name>Gate</name>
</facilityAdministration>
<facilityRestrictions />
</facilityDetails>
<facilityAvailability>
<spacesTotal>173</spacesTotal>
<available>true</available>
<pricing>
<price>
<priceGroup>0</priceGroup>
<amount>2.0</amount>
<currency>EUR</currency>
<unit>30</unit>
<daymask>127</daymask>
<minMinutes>0</minMinutes>
<maxMinutes>30</maxMinutes>
<textRepresentation language="en-US">
<text>First 30 minutes</text>
<text>Per 30 minutes</text>
<text>Every day</text>
</textRepresentation>
</price>
<price>
<priceGroup>1</priceGroup>
<amount>4.0</amount>
<currency>EUR</currency>
<unit>60</unit>
<daymask>127</daymask>
<minMinutes>31</minMinutes>
<maxMinutes>60</maxMinutes>
<textRepresentation language="en-US">
<text>Over 31 minutes</text>
<text>Max 1 hour</text>
<text>Per hour</text>
<text>Every day</text>
</textRepresentation>
</price>
<price>
<priceGroup>2</priceGroup>
<amount>38.0</amount>
<currency>EUR</currency>
<unit>1440</unit>
<daymask>127</daymask>
<minMinutes>61</minMinutes>
<maxMinutes>1440</maxMinutes>
<textRepresentation language="en-US">
<text>Over 1 hour and 1 minute</text>
<text>Max 24 hours</text>
<text>Per day</text>
<text>Every day</text>
</textRepresentation>
</price>
</pricing>
<lastUpdateTimestamp>2016-06-06T06:21:45.000Z</lastUpdateTimestamp>
</facilityAvailability>
</facility>
</facilities>
</parking-offstreet:parkingFacilitiesResult>
For more details about responses to this type of request, see Parking Facilities Response.
Updated 26 days ago
Did this page help you?